SuiteTest
Keywords: junit.tests.framework.SuiteTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class SuiteTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.SuiteTest

All Implemented Interfaces:
  Test

    public class SuiteTest

extends TestCase

A fixture for testing the "auto" test suite feature.

Field Summary
`protected TestResult` | `fResult`

Constructor Summary
`SuiteTest(java.lang.String name)`

Method Summary
`protected void` | `setUp()` Sets up the fixture, for example, open a network connection.
`static Test` | `suite()`
`void` | `testAddTestSuite()`
`void` | `testCreateSuiteFromArray()`
`void` | `testInheritedTests()`
`void` | `testNoTestCaseClass()`
`void` | `testNoTestCases()`
`void` | `testNotExistingTestCase()`
`void` | `testNotPublicTestCase()`
`void` | `testNotVoidTestCase()`
`void` | `testOneTestCase()`
`void` | `testShadowedTests()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fResult

    protected TestResult fResult

Constructor Detail

### SuiteTest

    public SuiteTest(java.lang.String name)

Method Detail

### setUp

    protected void setUp()

  Description copied from class: `TestCase`
  Sets up the fixture, for example, open a network connection. This method is called before a test is executed.

  Overrides:
    `setUp` in class `TestCase`

### suite

    public static Test suite()

### testInheritedTests

    public void testInheritedTests()

### testNoTestCaseClass

    public void testNoTestCaseClass()

### testNoTestCases

    public void testNoTestCases()

### testNotExistingTestCase

    public void testNotExistingTestCase()

### testNotPublicTestCase

    public void testNotPublicTestCase()

### testNotVoidTestCase

    public void testNotVoidTestCase()

### testOneTestCase

    public void testOneTestCase()

### testShadowedTests

    public void testShadowedTests()

### testAddTestSuite

    public void testAddTestSuite()

### testCreateSuiteFromArray

    public void testCreateSuiteFromArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD